安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
fange
帖子: 61
注册时间: 2007-09-22 22:48
送出感谢: 0
接收感谢: 0

安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

#1

帖子 fange » 2008-09-21 22:41

用了http://forum.ubuntu.org.cn/viewtopic.php?f=42&t=119945的方法在第一步终端输入sudo sh ati-driver-installer-8-7-x86.x86_64.run时显示:
........................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.27-3-generic; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.ZH9728

请指点。

root@ubuntu:/home/zhengyijie/sofeware# glxinfo |grep -e 'direct' -e 'OpenGL'
direct rendering: Yes
OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 2.1 Mesa 7.1
OpenGL shading language version string: 1.10
OpenGL extensions:
上次由 fange 在 2008-09-22 12:51,总共编辑 1 次。
头像
laowu2141
帖子: 530
注册时间: 2007-06-19 11:25
系统: kubuntu 13.04
来自: 北京
送出感谢: 0
接收感谢: 0
联系:

Re: 安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

#2

帖子 laowu2141 » 2008-09-21 23:24

不是高手能说话吗?

你没装上啊!

先把系统升级了!
ivb i7 3660 16G kubuntu
头像
liangsuilong
帖子: 777
注册时间: 2007-08-11 20:54
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

Re: 安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

#3

帖子 liangsuilong » 2008-09-22 0:16

因为ati的驱动不太支持27内核吧
人的生命是有限的,但是享受Linux的乐趣是无限的!
http://www.liangsuilong.info
头像
liangsuilong
帖子: 777
注册时间: 2007-08-11 20:54
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

Re: 安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

#4

帖子 liangsuilong » 2008-09-22 0:17

而且ati的驱动还不支持xorg-xserver-1.5
而8.10就是用1.5的
人的生命是有限的,但是享受Linux的乐趣是无限的!
http://www.liangsuilong.info
头像
jarryson
帖子: 4002
注册时间: 2005-08-14 19:53
送出感谢: 1 次
接收感谢: 2 次
联系:

Re: 安装ATI显卡驱动出现这个是怎么回事?折腾了一天了。

#5

帖子 jarryson » 2008-09-22 2:09

ls是对的,这个版本驱动不支持2.26.27内核,你可以尝试使用8.9驱动,也许会解决。

至于不支持xorg 1.5版本,也是对的,应为无论是内核还是xorg,这两个版本都只是测试版。

你的卡低于3200的就可以使用开源驱动,开源驱动真不错
回复

回到 “常用硬件支持”